Resources Under Management
Resources Under Management (RUM) provides information about the cloud resources managed by Pulumi across your organization. The RUM API allows you to track resource counts over time with various time aggregations.
Get Usage Summary Discovered Resource Hours
GET
/api/orgs/{orgName}/discovered-resources/summaryGetUsageSummaryDiscoveredResourceHours handles request to fetch the summary of discovered resources for an organization.
Request Parameters
orgNamestring path requiredThe organization namegranularitystring query optionalTime granularity for aggregation (e.g., ‘hourly’, ‘daily’, ‘monthly’)lookbackDaysinteger query optionalNumber of days to look back from the current time or lookbackStartlookbackStartinteger query optionalUnix timestamp for the start of the lookback period (defaults to current time if omitted)
Responses
200
OK
Schema: GetResourceCountSummaryResponse
- The list of resource count summaries
- ↳
yearinteger requiredThe 4-digit year. - ↳
monthinteger optionalThe month of the year. Ranges from 1 to 12. - ↳
dayinteger optionalThe day of month. Ranges from 1 to 31. - ↳
weekNumberinteger optionalThe week number in the year with Sunday marking the start of the week. Ranges from 0-53. - ↳
hourinteger optionalThe hour of the day. Ranges from 0 to 23. - ↳
resourcesinteger requiredThe RUM (total number of resources under management at a given time). Calculated by getting the average of the all the resources for the given time frame. - ↳
resourceHoursinteger requiredThe RHUM, which is the number of hours the resources under management have been running. Calculated by getting the sum of all the resources for the given time frame. 1 resource hour = 1 Pulumi credit.
204
No Content
Get Usage Summary Resource Hours
GET
/api/orgs/{orgName}/resources/summaryGetUsageSummaryResourceHours handles request to fetch the summary of resources under management (RUM) and resource hours under management (RHUM) for an organization.
Request Parameters
orgNamestring path requiredThe organization namegranularitystring query optionalTime granularity for aggregation (e.g., ‘hourly’, ‘daily’, ‘monthly’)lookbackDaysinteger query optionalNumber of days to look back from the current time or lookbackStartlookbackStartinteger query optionalUnix timestamp for the start of the lookback period (defaults to current time if omitted)
Responses
200
OK
Schema: GetResourceCountSummaryResponse
- The list of resource count summaries
- ↳
yearinteger requiredThe 4-digit year. - ↳
monthinteger optionalThe month of the year. Ranges from 1 to 12. - ↳
dayinteger optionalThe day of month. Ranges from 1 to 31. - ↳
weekNumberinteger optionalThe week number in the year with Sunday marking the start of the week. Ranges from 0-53. - ↳
hourinteger optionalThe hour of the day. Ranges from 0 to 23. - ↳
resourcesinteger requiredThe RUM (total number of resources under management at a given time). Calculated by getting the average of the all the resources for the given time frame. - ↳
resourceHoursinteger requiredThe RHUM, which is the number of hours the resources under management have been running. Calculated by getting the sum of all the resources for the given time frame. 1 resource hour = 1 Pulumi credit.
204
No Content
Thank you for your feedback!
If you have a question about how to use Pulumi, reach out in Community Slack.
Open an issue on GitHub to report a problem or suggest an improvement.